Price Rule Customer Selection
Requires access scope.
A selection of customers for whom the price rule applies.
Anchor to FieldsFields
- customers (CustomerConnection!)
- forAllCustomers (Boolean!)
- segments ([Segment!]!)
- Anchor to customerscustomers•Customer
Connection! non-null List of customers to whom the price rule applies.
- Anchor to firstfirst•Int
The first
nelements from the paginated list.- Anchor to afterafter•String
The elements that come after the specified cursor.
- Anchor to lastlast•Int
The last
nelements from the paginated list.- Anchor to beforebefore•String
The elements that come before the specified cursor.
- Anchor to reversereverse•BooleanDefault:false
Reverse the order of the underlying list.
- Anchor to sortKeysort•Customer
Key Sort Keys Default:ID Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.
- Anchor to queryquery•String
A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.
- Anchor to default•string
Filter by a case-insensitive search of multiple fields in a document.
query=Bob Normanquery=title:green hoodie- Anchor to accepts_marketing•boolean
Filter by whether a customer has consented to receive marketing material.
accepts_marketing:true- Anchor to country•string
Filter by the country associated with the customer's address. Use either the country name or the two-letter country code.
country:Canadacountry:JP- Anchor to customer_date•time
customer_date:'2024-03-15T14:30:00Z'customer_date: >='2024-01-01'- Anchor to email•string
The customer's email address, used to communicate information about orders and for the purposes of email marketing campaigns. You can use a wildcard value to filter the query by customers who have an email address specified. Please note that email is a tokenized field: To retrieve exact matches, quote the email address (phrase query) as described in Shopify API search syntax.
email:gmail.comemail:"bo.wang@example.com"email:*- Anchor to last_abandoned_order_date•time
Filter by the date and time of the customer's most recent abandoned checkout. An abandoned checkout occurs when a customer adds items to their cart, begins the checkout process, but leaves the site without completing their purchase.
last_abandoned_order_date:'2024-04-01T10:00:00Z'last_abandoned_order_date: >='2024-01-01'- Anchor to order_date•time
Filter by the date and time that the order was placed by the customer. Use this query filter to check if a customer has placed at least one order within a specified date range.
order_date:'2024-02-20T00:00:00Z'order_date: >='2024-01-01'order_date:'2024-01-01..2024-03-31'- Anchor to orders_count•integer
Filter by the total number of orders a customer has placed.
orders_count:5- Anchor to phone•string
The phone number of the customer, used to communicate information about orders and for the purposes of SMS marketing campaigns. You can use a wildcard value to filter the query by customers who have a phone number specified.
phone:+18005550100phone:*- Anchor to state•string
Filter by the state of the customer's account with the shop. This filter is only valid when Classic Customer Accounts is active.
state:ENABLEDstate:INVITEDstate:DISABLEDstate:DECLINED- Anchor to tag•string
Filter by the tags that are associated with the customer. This query parameter accepts multiple tags separated by commas.
tag:'VIP'tag:'Wholesale,Repeat'- Anchor to tag_not•string
Filter by the tags that aren't associated with the customer. This query parameter accepts multiple tags separated by commas.
tag_not:'Prospect'tag_not:'Test,Internal'- Anchor to total_spent•float
Filter by the total amount of money a customer has spent across all orders.
total_spent:100.50total_spent:50.00total_spent:>100.50total_spent:>50.00- Anchor to updated_at•time
The date and time, matching a whole day, when the customer's information was last updated.
updated_at:2024-01-01T00:00:00Zupdated_at:<nowupdated_at:<=2024
Example:
Example:
Example:
Example:
Example:
Example:
Example:
Example:
Example:
Example:
Example:
Example:
Example:
Example:
- Anchor to savedSearchIdsaved•ID
Search Id The ID of a saved search. The search’s query string is used as the query argument.
Arguments
- Anchor to forAllCustomersfor•Boolean!
All Customers non-null Whether the price rule applies to all customers.
- Anchor to segmentssegments•[Segment!]!non-null
A list of customer segments that contain the customers who can use the price rule.